aboutsummaryrefslogtreecommitdiff
path: root/shell/hush_test/hush-signals/signal2.tests
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2016-10-02 17:39:31 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2016-10-02 17:39:31 +0200
commit5d6b8729ed7335c702022f4f3176573f4cf2cf5a (patch)
treebef985dae4fb3ea41e1a478a848d19039b0e5d8f /shell/hush_test/hush-signals/signal2.tests
parent888527cceec2f58f1eae3acceddee928b5cb647a (diff)
downloadbusybox-5d6b8729ed7335c702022f4f3176573f4cf2cf5a.tar.gz
hush testsuite: add many tests from ash testsuite
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'shell/hush_test/hush-signals/signal2.tests')
-rwxr-xr-xshell/hush_test/hush-signals/signal2.tests18
1 files changed, 18 insertions, 0 deletions
diff --git a/shell/hush_test/hush-signals/signal2.tests b/shell/hush_test/hush-signals/signal2.tests
new file mode 100755
index 000000000..df639ca2c
--- /dev/null
+++ b/shell/hush_test/hush-signals/signal2.tests
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+$THIS_SH -c '
+cleanup() {
+ echo "child exits as expected"
+ exit
+}
+trap cleanup HUP
+echo "child sleeps"
+sleep 1
+echo "BAD exit from child!"
+' &
+
+child=$!
+sleep 0.1 # let child install handler first
+kill -HUP $child
+wait
+echo "parent exits"